Subject: Re: [PATCH 5121 pci 1/3] powerpc: 83xx: pci: Remove need for get_immrbase from mpc83xx_add_bridge.

From: Scott Wood <[email-masked]>
Date: Wed, 13 Aug 2008 11:10:26 -0500

John Rigby wrote:
> As I type this I'm coming to like the primary flag more and more.
> I'm willing to change it to 'fsl,primary-pci-bridge' though I don't
> really agree with your argument against the generic name.  It is in
> the context of an 'fsl,pci-whatever' node so it does not have to be
> specific.

It *does* have to be specific; what if "primary" comes to mean something
else in a broader context?

> And maybe generic is good, a universal generic solution would be to
> require all primary pci nodes to have the property then 
> pci_process_bridge_OF_ranges could get it out of the device node
> instead of having it passed in.

The "universal generic solution" would be to encode legacy I/O devices 
in the device tree, and fix Linux to not assume that they're all on one bus.

If we must have a property, how about something like "pci-legacy-io"?

-Scott